Kodi Community Forum
LE12 wiimote problem - Printable Version

+- Kodi Community Forum (https://forum.kodi.tv)
+-- Forum: Support (https://forum.kodi.tv/forumdisplay.php?fid=33)
+--- Forum: Game support (https://forum.kodi.tv/forumdisplay.php?fid=292)
+--- Thread: LE12 wiimote problem (/showthread.php?tid=377671)



LE12 wiimote problem - ukj48797 - 2024-05-24

Hello,

After a clean install of Libreelec 12 using "LibreELEC-RPi5.aarch64-12.0-retroplayer-20240505-f89e5812.img.gz" on a Raspberry Pi 5, when pairing a Will Remote, a warning to configure a new controller appears (which was not the case with previous Libreelec versions). Selecting Wii Remote and configuring the buttons stops at the Dpad part, with the Dpad entries not being recognised.

The buttons also do not have the same behaviour as before, A does select, but B does a page down, and not sure what the other buttons do now, which makes the Wii Remote not usable to control Libreelec.

Default Joystick drivers are used (Linux).

Logs: https://paste.libreelec.tv/deciding-yak.log

A post on Libreelec forum does describe the same issue https://forum.libreelec.tv/thread/28418-le12-11-95-1-kodi-21-wiimote-problem/ (additional log available in that thread) and it has been tested also on a PC with a dongle USB Bluetooth and with those versions of Libreelec:
  • LibreELEC-RPi5.aarch64-12.0-retroplayer-20240505-f89e5812.img.gz
  • LE12 11.95.1
  • LibreELEC 12 Beta1
  • LibreELEC-RPi5.aarch64-12.0-nightly-20240426-4513878.img
  • LibreELEC-RPi5.aarch64-12.0.0.img

Tests includes changing the Joystick drivers to Udev, adding a joystick.xml file in the keymaps directory, without success in addressing this issue.

Not sure what other test can be done, or how to fix this issue. If more info is needed, or if this post should be in a different section, let me know. Thanks


RE: LE12 wiimote problem - garbear - 2024-05-29

This seems like a problem that was introduced in a kernel or driver change in LE 12. The Kodi drivers in the RP builds (linux/udev) haven't changed in a Linux-specific way in quite a while. I would follow up in the LibreELEC slack, though maybe they can pin it to a Kodi problem.


RE: LE12 wiimote problem - ukj48797 - 2024-06-01

Thanks for your reply garbear, I will add a post in the Libreelec forum and link it to this one.

I did also perform more testing following your feedback, to see if previous kernels would work better, and the result of my tests are not showing any link with the kernel version:
  • Hardware: Odroid N2+
    • OS/Kodi: CoreELEC 21.0-Omega, April 9th, 2024 (CoreELEC-Amlogic-ng.arm-21.0-Omega-Odroid_N2.img)
    • Kernel 4.9.269
    • Wii Remote: Dpad NOT recognised
  • Hardware: Odroid N2+
    • OS/Kodi: CoreELEC 20.5-Nexus, March 5th, 2024 (CoreELEC-Amlogic-ng.arm-20.5-Nexus-Odroid_N2.img)
    • Kernel 4.9.269
    • Wii Remote: Dpad recognised
  • Hardware: Raspberry 5
    • OS/Kodi: LibreELEC 12.0 with Kodi (Omega) v21.0
    • Kernel 6.6.28
    • Wii Remote: Dpad NOT recognised
  • Hardware: Raspberry 5
    • OS/Kodi: LibreELEC (Nexus) 11.0.6
    • Kernel 6.1.74
    • Wii Remote: Dpad recognised
  • Hardware: Raspberry 5
    • OS/Kodi: Raspberry OS 2023-12-05-raspios-bookworm-armhf.img (Debian 12) / Kodi 21.0 Omega
    • Kernel 6.1.69
    • Wii Remote: Dpad NOT recognised

I wanted to test with different versions of a kernel to see the impact on this issue. With the same versions of the kernel (for CoreElec) the Wii Remote did work with Kodi 20 and did not with Kodi 21.
On the Raspberry pi, the version of the kernel did not seem either to be linked to the issue, from the tests results.

I cannot say about the drivers, not sure how to check those. Let me know if there is a way I can check.

I could not test with Windows, let me know if that would be useful to test on that platform.

I will post the same on the Librelec forum under this post: https://forum.libreelec.tv/thread/28418-le12-11-95-1-kodi-21-wiimote-problem/


RE: LE12 wiimote problem - garbear - 2024-06-04

Another factor is the peripheral.joystick version and linux API.

Note that in peripheral.joystick versionĀ 21.1.16 (released last week or so) the udev driver specifically was greatly improved and fixes input not being recognized for some controllers. It's possible that the fixed udev driver works much better than the Linux Joystick API one and should be given a try.


RE: LE12 wiimote problem - ukj48797 - 2024-06-10

I did more tests to try a newer version of peripheral.joystick (21.1.18 last weekend) , and will need to help here, as I did not manage it, but first, as I was trying to test, I realise on of the test above (where the Wii Remote did not work) was on Kodi 20.5:

Hardware: Raspberry 5
  • OS/Kodi: Raspberry OS 2023-12-05-raspios-bookworm-armhf.img (Debian 12) / Kodi 20.5 Nexus
  • Kernel 6.1.69
  • Wii Remote: Dpad NOT recognised

Back to peripheral.joystick, as the version with Raspberry pi OS is 20.5, I installed Ubuntu 24.04 on a PC. Unfortunately, the PPA for Kodi are not maintained any more, so compiled Kodi using the instructions from https://github.com/xbmc/xbmc/blob/master/docs/README.Linux.md and got Kodi 22.0-alpha1 (21.90.700) running.

I then built the peripheral.joystick addon (using the same "-DCMAKE_INSTALL_PREFIX=/usr/local" as when building Kodi), went back in Kodi, and could not find this add on. I decided to build all addons (just in case), back in Kodi again, after rebooting by the PC, and still not new addons.
The libraries for the addons are installed in "/usr/local/lib/kodi/addons/" and "/usr/local/share/kodi/addons/", are they supposed to be somewhere else? Any other way to install the addons, or where should I move them to so they appear in Kodi, and test is a newer version of peripheral.joystick fixes the issue?

The version for peripheral.joystick with Ubuntu 24.04, which install by default Kodi 20.5, is 20.1.15+ds-1. Which this version the Wii Remote does not work (Dpad not recognised), so I am trying to use the latest version of peripheral.joystick


RE: LE12 wiimote problem - ukj48797 - 2024-06-10

I just realised there are some typos and missing words in my post above, unfortunately I do not see how to edit or even delete it. Hopefully it is still understandable.


RE: LE12 wiimote problem - ukj48797 - 2024-06-21

The add-ons sections in https://github.com/xbmc/xbmc/blob/master/docs/README.Linux.md was missing the part when you need to copy the add-ons back in the kodi directory manually:
  • cd $HOME/kodi-build/kodi/addons/
  • cp -r /usr/local/share/kodi/addons/peripheral.joystick/ .
  • cp -r /usr/local/LIB/kodi/addons/peripheral.joystick/ .

That gave me peripheral.joystick versionĀ 21.1.18 in Kodi, but unfortunately that did not solve the issue with the Wii Remote for both linyx and udev drivers Sad

Not sure what else to try


RE: LE12 wiimote problem - ukj48797 - 2024-07-07

Did some more tests, with Ubuntu 22.04 (Linux 6.5.0-18) in case an older version would help, to see if an older version of Ubuntu would make a difference, with Kodi Nexus 20.5 and those versions of peripheral.joystick (using Udev drivers, as using the Linux ones was not having Dpad recognised):
  • 20.1.2: Wii Remote did not work at all
  • 20.1.13: Same issue as described in first post (some buttons have different behaviour) for the Wii Remote
  • 20.1.15: Same issue as described in first post (some buttons have different behaviour) for the Wii Remote
With Kodi 22.0-Alpha 1 (21.90.700) and peripheral.joystick 21.1.18, same issue as described in first post (some buttons have different behaviour) for the Wii Remote
As I have been using previously Coreelec and Libreelec, not sure at which point it stopped working on Ubuntu or if it ever worked on that platform.

Libeelec 11.0.6 on which the Wii Remote works fine (using the Linux and/or Udev ones) uses peripheral.joystick 20.1.14, so I guess it is unrelated to peripheral.joystick

I wanted to try with Ubuntu 20.04 but could not install the dependencies to compile Kodi


This forum uses Lukasz Tkacz MyBB addons.